/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
/*
//-----------------------------------------------------------------------------
//
// $Source: /usr/proj/grl/motifplb/design_review_1_efforts/lib_1/XMArrowB.hh,v $
// $Revision: 1.4 $
// $State: Exp $
// $Author: grlcr $
// $Date: 89/11/27 11:52:32 $
// $Locker:  $
//
// Description      : This file contains the class definition for the 
//                    XMArrowButton class. 
// Created Oct 11, 1989 by BRM
// grlcr : add get routines and remove some set routines
//
// $Log:	XMArrowB.hh,v $
Revision 1.4  89/11/27  11:52:32  grlcr
1st pass

Revision 1.3  89/11/07  11:35:58  grlcr
*** empty log message ***

Revision 1.2  89/11/02  16:21:41  motifplb
changed header doc slightly

Revision 1.1  89/11/02  12:07:05  motifplb
Initial revision

// ---------------------------------------------------------------------------
*/

#ifndef XMArrowB_hh
#define XMArrowB_hh

#include "XMPrimitive.hh"
#include <Xm/ArrowB.h>

class XMArrowButton : public XMPrimitive {
 protected :
     // ****CONSTRUCTORS**** 
     XMArrowButton ();

 public :
     // ****CONSTRUCTORS**** 
     XMArrowButton (XMObject*, String,Boolean managed=True);

     // ****DESTRUCTOR****
     ~XMArrowButton ();

     // ****METHODS TO SET THE ArrowButton RESOURCES****
     void set_arrowDirection         (u_char);
     void set_entry_activateCallback (XtCallbackProc, caddr_t);
     void set_entry_armCallback      (XtCallbackProc, caddr_t);
     void set_entry_disarmCallback   (XtCallbackProc, caddr_t);

     // ****METHODS TO GET THE ArrowButton RESOURCES****
     void get_arrowDirection         (u_char*);
};

#endif     // XMArrowB_hh

// dont add stuff after this endif
