/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
/*
//-----------------------------------------------------------------------------
//
// $Source: /usr/proj/grl/motifplb/design_review_1_efforts/lib_1/XMToggleB.hh,v $
// $Revision: 1.6 $
// $State: Exp $
// $Author: kseethar $
// $Date: 89/12/07 15:29:00 $
// $Locker:  $
//
// $Log:	XMToggleB.hh,v $
Revision 1.6  89/12/07  15:29:00  kseethar
added XMString, KS

Revision 1.5  89/11/27  19:00:50  bmontagu
test

Revision 1.4  89/11/27  11:57:33  grlcr
1st pass

Revision 1.3  89/11/03  18:23:12  grlcr
minor changes

Revision 1.2  89/11/03  09:47:54  grlcr
*** empty log message ***

Revision 1.1  89/11/02  12:43:23  motifplb
Initial revision

// ***** Created Oct 11, 1989 by BRM *****
// ***** grlcr : add get routines and remove some set routines *****
// ***** grlcr : add dummy constructor *****
//-----------------------------------------------------------------------------
*/

#ifndef XMToggleB_hh
#define XMToggleB_hh

#include "XMLabel.hh"
#include <Xm/ToggleB.h>

class XMToggleButton : public XMLabel {
 protected :
     // ****CONSTRUCTORS**** 
     XMToggleButton ();

 public :
     // ****CONSTRUCTORS**** 
     XMToggleButton (XMObject*, String,Boolean managed=True);
     XMToggleButton (XMObject*, String, XMString*,Boolean managed = True);

     // ****DESTRUCTOR****
     ~XMToggleButton ();

     // ****METHODS TO SET THE ToggleButton RESOURCES****
     void set_fillOnSelect               (Boolean);
     void set_indicatorOn                (Boolean);
     void set_indicatorType              (u_char);
     void set_selectColor                (Pixel);
     void set_selectInsensitivePixmap    (Pixmap);
     void set_selectPixmap               (Pixmap);
     void set_set                        (Boolean);
     void set_spacing                    (short);
     void set_visbileWhenOff             (Boolean);
     void set_entry_armCallback          (XtCallbackProc, caddr_t);
     void set_entry_disarmCallback       (XtCallbackProc, caddr_t);
     void set_entry_valueChangedCallback (XtCallbackProc, caddr_t);

     // ****METHODS TO GET THE ToggleButton RESOURCES****
     void get_fillOnSelect               (Boolean*);
     void get_indicatorOn                (Boolean*);
     void get_indicatorType              (u_char*);
     void get_selectColor                (Pixel*);
     void get_selectInsensitivePixmap    (Pixmap*);
     void get_selectPixmap               (Pixmap*);
     void get_set                        (Boolean*);
     void get_spacing                    (short*);
     void get_visbileWhenOff             (Boolean*);

     // ****COVER FUNCTION METHODS**** 
     Boolean GetState ();
     void    SetState (Boolean, Boolean);
};

#endif     // XMToggleB_hh

// dont add stuff after this endif
